import { z } from "zod";
import { createApiResponseSchema } from "./Factory";
export const companyCategorySchema = z.object({
  created_at: z.number(),
  description: z.string(),
  id: z.string(),
  name: z.string(),
  published: z.boolean(),
  published_at: z.number(),
  thumbnail: z.string(),
  updated_at: z.number(),
});
export const createCompanyCategoryCredentials = z.object({
  name: z.string(),
  description: z.string(),
  thumbnail: z.string().optional(),
});
export const companyCategoriesResponseSchema = createApiResponseSchema(
  z.object({
    categories: z.array(companyCategorySchema),
  }),
);
export type TCompanyCategory = z.infer<typeof companyCategorySchema>;
export type TCompanyCategoryApiResponse = z.infer<
  typeof companyCategoriesResponseSchema
>;
export type TCreateCompanyCategoryCredentials = z.infer<
  typeof createCompanyCategoryCredentials
>;